Skip to main content
`Ctrl`+`K`

# MatDenseRestoreArrayRead

returns access to the array where the data for a `MATDENSE` matrix is stored obtained by `MatDenseGetArrayRead()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatDenseRestoreArrayRead(Mat A, const PetscScalar *array[]) PeNS

Not Collective

## Input Parameters

- A - a dense matrix

- array - pointer to the data (may be `NULL`)

## See Also

Matrices, `Mat`, `MATDENSE`, `MatDenseGetArrayRead()`, `MatDenseGetArray()`, `MatDenseRestoreArray()`, `MatDenseGetArrayWrite()`, `MatDenseRestoreArrayWrite()`

## Level

intermediate

## Location

src/mat/impls/dense/seq/dense.c

## Implementations

MatDenseRestoreArrayRead_MPIDense() in src/mat/impls/dense/mpi/mpidense.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages